
source "azure-arm" "autogenerated_1" {
  azure_tags = {
    dept = "DevOps"
    task = "Wordpress Image deployment"
  }
  image_offer                       = "UbuntuServer"
  image_publisher                   = "Canonical"
  image_sku                         = "16.04-LTS"
  location                          = "East US"
  managed_image_name                = "myPackerImage"
  managed_image_resource_group_name = "myResourceGroup"
  os_type                           = "Linux"
  subscription_id                   = "MODIFIER LA VALEUR"
  tenant_id                         = "MODIFIER LA VALEUR"
  use_azure_cli_auth                = true
  vm_size                           = "Standard_B1s"
}

build {
  sources = ["source.azure-arm.autogenerated_1"]

  provisioner "shell" {
    inline = [
      "sudo apt-get update -y && sudo apt-get install apache2 wget -y"
   ]
}

  provisioner "file" {
    source = "./provider/wordpress.conf"
    destination = "/tmp/"
  }


  provisioner "shell" {
    script = "./deploy_wordpress.sh"
  }
}
